Bug 104060 - [Shadow DOM]: Element.pseudo property should be prefixed
Summary: [Shadow DOM]: Element.pseudo property should be prefixed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dominic Cooney
URL:
Keywords:
Depends on:
Blocks: 97282
  Show dependency treegraph
 
Reported: 2012-12-04 16:34 PST by Dominic Cooney
Modified: 2012-12-06 17:49 PST (History)
10 users (show)

See Also:


Attachments
Patch (10.01 KB, patch)
2012-12-04 16:58 PST, Dominic Cooney
no flags Details | Formatted Diff | Diff
Patch (7.13 KB, patch)
2012-12-06 01:56 PST, Dominic Cooney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Cooney 2012-12-04 16:34:26 PST
Element.pseudo is not prefixed like other Shadow DOM APIs. It should be prefixed.
Comment 1 Dominic Cooney 2012-12-04 16:58:00 PST
Created attachment 177608 [details]
Patch
Comment 2 Hajime Morrita 2012-12-04 17:23:11 PST
Comment on attachment 177608 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=177608&action=review

Thanks for the catch! I overlooked this.

> Source/WebCore/html/HTMLAttributeNames.in:277
> +x-webkit-pseudo

nit: alphabetical order.
Comment 3 Kent Tamura 2012-12-04 18:04:53 PST
I think fast/forms/time-multiple-fields/time-multiple-fields-readonly-subfield.html needs to be updated.
Comment 4 kov's GTK+ EWS bot 2012-12-04 19:02:08 PST
Comment on attachment 177608 [details]
Patch

Attachment 177608 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/15158081
Comment 5 Dominic Cooney 2012-12-04 19:31:27 PST
Looks like I missed a bunch of rebaselines. Will investigate GTK failure.

Re: comment 2 - I am keeping the convention of x-webkit-speech and x-webkit-grammar which alphabetize ignoring x-webkit-.
Comment 6 Hajime Morrita 2012-12-04 20:34:45 PST
(In reply to comment #5)
> Re: comment 2 - I am keeping the convention of x-webkit-speech and x-webkit-grammar which alphabetize ignoring x-webkit-.
Got it.
Comment 7 EFL EWS Bot 2012-12-04 21:27:19 PST
Comment on attachment 177608 [details]
Patch

Attachment 177608 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/15132751
Comment 8 Build Bot 2012-12-04 23:00:12 PST
Comment on attachment 177608 [details]
Patch

Attachment 177608 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/15151354

New failing tests:
editing/style/apply-style-atomic.html
fast/dom/HTMLMeterElement/meter-element-markup.html
fast/dom/HTMLProgressElement/progress-element-markup.html
Comment 9 WebKit Review Bot 2012-12-05 03:02:33 PST
Comment on attachment 177608 [details]
Patch

Attachment 177608 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/15159186

New failing tests:
fast/forms/time-multiple-fields/time-multiple-fields-readonly-subfield.html
editing/style/apply-style-atomic.html
fast/dom/HTMLMeterElement/meter-element-markup.html
fast/dom/HTMLProgressElement/progress-element-markup.html
Comment 10 WebKit Review Bot 2012-12-05 04:07:24 PST
Comment on attachment 177608 [details]
Patch

Attachment 177608 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/15147437

New failing tests:
fast/forms/time-multiple-fields/time-multiple-fields-readonly-subfield.html
editing/style/apply-style-atomic.html
fast/dom/HTMLMeterElement/meter-element-markup.html
fast/dom/HTMLProgressElement/progress-element-markup.html
Comment 11 Dominic Cooney 2012-12-06 01:56:16 PST
Created attachment 177974 [details]
Patch
Comment 12 Dominic Cooney 2012-12-06 02:39:04 PST
Comment on attachment 177974 [details]
Patch

Think this is good to go now.

In offline discussion with morrita we concluded to prefix the JavaScript property but not the DOM attribute name.
Comment 13 WebKit Review Bot 2012-12-06 17:49:42 PST
Comment on attachment 177974 [details]
Patch

Clearing flags on attachment: 177974

Committed r136913: <http://trac.webkit.org/changeset/136913>
Comment 14 WebKit Review Bot 2012-12-06 17:49:46 PST
All reviewed patches have been landed.  Closing bug.